%global zikula_base         %{_datadir}/zikula
%global zikula_moddir       %{zikula_base}/modules
%global zikula_modname      pagemaster

Name:           zikula-module-%{zikula_modname}
Version:        0.3.1
Release:        3%{?dist}
Summary:        Creates pages with dynamic content like news, articles, etc
Group:          Applications/Publishing
License:        GPLv2+
URL:            http://code.zikula.org/pagemaster/
# Source URL is dynamically generated. Go to URL to fetch it
Source0:        package_ba269f9bbdba5234dca4bbed95702be2.zip
Patch0:         pagemaster-separate-filterutil.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       zikula

%description
Pagemaster is a fully Zikula 1.1 compliant but non complete clone of Pagesetter 
(relations and mediashare plugin are missing still). The main task of the 
module is creating pages with dynamic content like news articles, product 
descriptions, band listings etc.

%prep
%setup -q -c

%patch0 -p0

# Remove empty index.html and others
find -size 0 | xargs rm -f

#Fixing wrong-file-end-of-line-encoding error
sed -i 's/\r//' modules/pagemaster/pndocs/install-and-usage.txt

# Rpmlint warnings E: script-without-shebang
find . -name '*.php' -exec chmod 0644 '{}' \;

# We package Filterutil in its own package in Fedora
rm -rf modules/pagemaster/classes/FilterUtil.class.php
rm -rf modules/pagemaster/classes/FilterUtil

%build

%install
rm -rf %{buildroot}


cd modules/%{zikula_modname}

mkdir -p %{buildroot}/%{zikula_moddir}/%{zikula_modname} 
cp -pr . %{buildroot}/%{zikula_moddir}/%{zikula_modname}
rm -rf %{buildroot}/%{zikula_moddir}/%{zikula_modname}/pndocs


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc modules/%{zikula_modname}/pndocs/*
%{zikula_moddir}/%{zikula_modname}


%changelog
* Thu Sep 17 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.3.1-3
- Update for separated FilterUtil module

* Fri Aug 28 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.3.1-2
- Fix license tag and add Source URL comment

* Wed Aug 26 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.3.1-1
- initial package
- Based on Chitlesh Goorah's spec
